Description

It is interesting to provide a way to export CSV files with the flows (similar to IOX file) and to read them. In addition to this, define
(and implement) a protocol to sync CSV files with flows.

This can be something like: if you change in the CSV anything but don’t change the name, the flow will be updated. If you change
the name, the flow will be added as a new one, and the previous will not be deleted. If you want to just rename it, there will be a
column named old_name to allow the user to set there the flow to rename. If a flow needs to be deleted, in an extra column the
'delete’ word must be present

History

#1 - 12/19/2013 06:21 AM - Txinto Vaz
- % Done changed from 0 to 20

We have included CSV export.

#2 - 12/19/2013 06:21 AM - Txinto Vaz

- Status changed from New to In Progress

#3 - 12/19/2013 01:18 PM - Txinto Vaz
- File gen_code2.ods added
- % Done changed from 20 to 50

Flows can be:

e Exported to:
o CSV
o XLS
e Imported from:
o CSV
o ODS
o XLS
o XLSX

The attached file shows the format. Columns are:
* name
e flow_id
¢ [optional] old_name

old_name is used to rename a file.

So, the import/export technology is almost gained. A very simple sync method is also implemented (renaming).
To complete the feature one might expect:

e To use the permission system.

e A better interface (more integrated in hobo?)

¢ To allow adding flows to connectors in systems
e To allow descriptions.

So, a superb step has been done, sad.png, but not a big one! sad.png

#4 - 08/22/2014 04:37 PM - Txinto Vaz
http://gatatac.org/projects/ucanca/wiki/IOX_file

- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#5 - 08/22/2014 04:37 PM - Txinto Vaz

- Status changed from Resolved to Closed

Files

gen_code2.ods 8.83 KB
